Recordings
Retrieve a paginated list of recordings for the authenticated user's account
Authorizations
AuthorizationstringRequired
Query parameters
pageintegerOptional
Page number for pagination
Responses
200
Successful response
application/json
401
Unauthorized
application/json
get/recordings
curl -X GET 'https://app.screendesk.io/api/v1/recordings?page=1' \
-H 'Authorization: Bearer YOUR_BEARER_TOKEN' \
-H 'Content-Type: application/json'
{
"pagination": {
"next_page": null,
"prev_page": null,
"last_page": 1,
"page": 1,
"items": 1,
"pages": 1,
"from": 1,
"to": 1,
"count": 1
}
}Retrieve details of a specific recording by its UUID
Authorizations
AuthorizationstringRequired
Path parameters
uuidstringRequired
UUID of the recording
Responses
200
Successful response
application/json
idintegerOptional
uuidstringOptional
titlestringOptional
descriptionstringOptional
created_atstring · date-timeOptional
updated_atstring · date-timeOptional
vendorstringOptional
ip_addressstringOptional
timezonestringOptional
network_typestringOptional
ispstringOptional
platformstringOptional
impressions_countintegerOptional
customer_emailstringOptional
durationintegerOptional
recording_typestringOptional
recording_sourcestringOptional
urlstringOptional
user_emailstringOptional
user_namestringOptional
401
Unauthorized
application/json
404
Recording not found
application/json
get/recordings/{uuid}
curl -X GET 'https://app.screendesk.io/api/v1/recordings/696cfd3b-b579-45a7-b58a-88ba0984a42b' \
-H 'Authorization: Bearer YOUR_BEARER_TOKEN' \
-H 'Content-Type: application/json'
{
"id": 1,
"uuid": "text",
"title": "text",
"description": "text",
"created_at": "2026-01-01T00:00:00.000Z",
"updated_at": "2026-01-01T00:00:00.000Z",
"vendor": "text",
"ip_address": "text",
"timezone": "text",
"network_type": "text",
"isp": "text",
"platform": "text",
"impressions_count": 1,
"customer_email": "text",
"duration": 1,
"recording_type": "text",
"recording_source": "text",
"url": "text",
"user_email": "text",
"user_name": "text"
}Last updated
Was this helpful?